@echo off

REM Step 1: Change directory to the folder where the .bat file is located
cd /d "%~dp0"

REM Step 2: Run npm start
echo Starting server...
call npm start
if %ERRORLEVEL% NEQ 0 (
    echo Error: npx playwright install failed!
    exit /b %ERRORLEVEL%
)

echo All installations completed successfully!
exit /b 0